pskc_set_key_algparm_resp_encoding(3)

NAME
pskc_set_key_algparm_resp_encoding - API function

SYNOPSIS
#include <pskc.h>

void pskc_set_key_algparm_resp_encoding(pskc_key_t * key, pskc_valueformat vf);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

pskc_valueformat vf
    the pskc_valueformat encoding type to set.

DESCRIPTION
Set the PSKC KeyPackage Key AlgorithmParameters ResponseFormat Encoding value. This attribute defines the encoding of the response generated by the device, it MUST be included.

SINCE
2.2.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.